Bug 895773 - Port openxcap's use of PIL to support Pillow for F19
Summary: Port openxcap's use of PIL to support Pillow for F19
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openxcap
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PILLOW
TreeView+ depends on / blocked
 
Reported: 2013-01-16 00:59 UTC by Toshio Ernie Kuratomi
Modified: 2013-08-31 18:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 18:07:41 UTC
Type: Bug


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (330 bytes, patch)
2013-01-16 00:59 UTC, Toshio Ernie Kuratomi
no flags Details | Diff

Description Toshio Ernie Kuratomi 2013-01-16 00:59:28 UTC
Created attachment 679193 [details]
Patch to use the form of import of PIL that is pillow compatible

Description of problem:

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the openxcap source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.

Comment 1 Toshio Ernie Kuratomi 2013-01-29 17:14:38 UTC
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.

Comment 2 Toshio Ernie Kuratomi 2013-02-05 01:50:12 UTC
new openxcap built for rawhide with this patch.  I'll leave this bug open as I didn't send the patch upstream.

Comment 3 Fedora End Of Life 2013-04-03 20:26:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.